@ECHO OFF

SET stk=.\bin\openssl.exe

IF NOT EXIST cert\ca.key (
	ECHO No Root CA key found, Generating one
	%stk% genrsa -des3 -rand -random-bits -out cert\ca.key 1024
)

IF NOT EXIST cert\ca.crt (
	ECHO Self-sign the root CA...
	%stk% req -new -x509 -days 3650 -config template\rootca.ini -key cert\ca.key -out cert\ca.crt
)
