@ECHO OFF

SET stk=.\bin\openssl.exe

:INPUT
SET /p serverName=Please input the server name:
if  "%serverName%"=="" (
	CLS
	ECHO Invaild Input!
	GOTO INPUT
)

if /I "%serverName%" EQU "ca" (
	CLS
	ECHO Invaild Input!
	GOTO INPUT
)

IF NOT EXIST cert\%serverName%.csr (
	ECHO No cert\%serverName%.csr found, You must create that first.
	GOTO END
)

IF NOT EXIST cert\ca.key (
	ECHO No cert\ca.key found, You must have root CA key generated first.
	GOTO END
)

IF NOT EXIST cert\ca.crt (
	ECHO No cert\ca.crt found, You must have root CA key generated first.
	GOTO END
)

IF EXIST ca.db.certs RMDIR /S /Q ca.db.certs
MD ca.db.certs
COPY template\ca.db.* .\


ECHO Singing...
%stk% ca -config template\sign.ini -out cert\%serverName%.crt -infiles cert\%serverName%.csr

ECHO Verfiying...
%stk% verify -CAfile cert\ca.crt cert\%serverName%.crt

RMDIR /S /Q ca.db.certs
DEL /F /Q ca.db.*

:END
